/*!
* \file controleur.c
* \brief Fichier contenant le code des fonctions du controleur.
*/

#include <stdio.h>
#include <stdlib.h>

#include "partie.h"
#include "joueur.h"
#include "affichageConsole2.h"
#include "joueurList.h"
#include "case.h"

  /*!
 * \fn void choixPrincipal()
 * \brief La fonction fait l'interface entre le moteur et l'affichage du jeu pour le premier choix principal d'un Joueur lors de son tour.
 *
 * \param La Partie p en cours.
 */
int choixPrincipal(Partie * p){
    int choix;
    choix = 0;
    affichePremierChoix(getNomJoueur(getCurrentJoueur(getListJoueur(p))),&choix);
    switch(choix){
        case 1:{
            return 1;
        }
        case 2:{
            finTour(p);
            afficheFinTour(getNomJoueur(getCurrentJoueur(getListJoueur(p))));
            return 0;
        }
        default:{
            afficherChoixImpossible();
            return 0;
        }
    }
}

  /*!
 * \fn void choixPrincipal()
 * \brief La fonction fait l'interface entre le moteur et l'affichage du jeu pour la saisie de coordonnees d'un Personnage.
 *
 * \param La Partie p en cours.
 * \return Un pointeur vers le personnage aux coordonnees entrees, NULL si les coordonnees ne sont pas valides.
 */

Case * entrerCoordonnees(Partie * p){
    int x, y;
    Case * caseTemp = NULL;
    x=-1;
    y=-1;
    afficherEntrerCoordonnees(&x,&y);
    caseTemp=trouverCase(getCarte(p),x,y);
    return caseTemp;
}
